<template id="home">
    <v-ons-page class="main-page">
        <v-ons-toolbar>
            <div class="center text-center">
                <img src="/img/handly.svg" class="mr-2" :alt="title">
                <h1>{{ title }}</h1>
            </div>
            <div class="right position-absolute">
                <v-ons-toolbar-button @click="toggleMenu">
                    <v-ons-icon icon="ion-ios-menu, material: md-menu"></v-ons-icon>
                </v-ons-toolbar-button>
            </div>
        </v-ons-toolbar>

        <v-ons-progress-bar :value="progress"></v-ons-progress-bar>


        <div class="p-3 safe-area-horizontal" v-if="!isAndroid()">
            <div>
                <v-ons-search-input placeholder="Поиск" position="top" v-model="query" class="w-100"
                                    id="searchInput"></v-ons-search-input>
            </div>
            <hr class="my-3">
        </div>


        <v-ons-tabbar swipeable position="top"
                      :tabs="tabs"
                      :visible="true"
                      :id="[isAndroid() ? '' : 'navbar']"
                      :index.sync="activeIndex"
                      class="safe-area-horizontal"
                      @changeQuery="queryChanged"
                      @gesturesDownloaded="finishProgress"
        >


        </v-ons-tabbar>
    </v-ons-page>
</template>


<script>
    import AlphabetFeed from '../pages/AlphabetFeed'
    import CategoryFeed from '../pages/CategoryFeed'

    export default {
        props: ['toggleMenu'],
        data() {
            return {
                title: document.title,
                activeIndex: 0,
                tabs: [
                    {
                        icon: false,
                        label: 'По алфавиту',
                        page: AlphabetFeed,
                        key: "alphabetFeedPage",
                        props: {
                            q: ''
                        }
                    },
                    {
                        icon: false,
                        label: 'По категориям',
                        page: CategoryFeed,
                        key: "categoryFeedPage",
                        props: {
                            q: ''
                        },
                    }
                ],
                query: '',
                progress: 0,
                progressBarFinished: false,
                alerted: false
            }
        },
        watch: {
            query() {
                this.tabs[0].props.q = this.query;
                this.tabs[1].props.q = this.query;
            },
            alerted() {
                if (this.alerted) {
                    setTimeout(() => {
                        this.alerted = false
                    }, 1000)
                }
            }
        },
        mounted() {
            setInterval(() => {
                if (this.progress >= 100) {
                    return;
                } else if (this.progress > 90) {
                    this.progress = this.progress + 0.2
                } else if (this.progress > 80) {
                    this.progress = this.progress + 0.5
                } else {
                    this.progress++;
                }
            }, 40)
        },
        methods: {
            isAndroid() {
                return this.$ons.platform.isAndroid();
            },
            queryChanged(value) {
                this.query = value;
            },
            finishProgress() {
                this.progress = 100;
            }
        },
        // computed: {
        //     title() {
        //         return this.tabs[this.activeIndex].label;
        //     }
        // }
    }
</script>